Font::TTF::OTTags(3)

NAME
Font::TTF::OTTags - Utilities for TrueType/OpenType tags

SYNOPSIS
  use Font::TTF::OTTags qw( %tttags %ttnames %iso639 readtagsfile );

  # Look at built-in stuff:
  $script_tag = $tttags{'SCRIPT'}{'Cypriot Syllabary'};  # returns 'cprt'
  $lang_name = $ttnames{'LANGUAGE'}{'ALT '};             # returns 'Altai'

  # Map iso639-2 tag to/from OT lang tag
  @isotags = $iso639{'ALT '};    # returns [ 'atv', 'alt' ]
  $lang_tag = $iso639{'atv'};    # returns 'ALT '

  # Read latest tags file to add to built-in definitions
  readtagsfile ("C:\\Program Files\\Microsoft VOLT\\TAGS.txt");

First-level keys to %tttags and %ttnames are:

SCRIPT
    retrieve script tag or name

LANGUAGE
    retrieve language tag or name

FEATURE
    retrieve feature tag or name

Built-in data has been derived from the 2014-07-11 draft of the 3rd edition of ISO/IEC 14496-22 (Information technology - Coding of audio-visual objects - Part 22: Open Font Format) which, when finalized and approved, will replace the second edition (ISO/IEC 14496-22:2009).

METHODS

  readtagsfile ( filename )
Read a file in the syntax of Tags.txt (included with Microsoft VOLT) to obtain additional/replacement tag definitions.

Returns 0 if cannot open the file; else 1.

AUTHOR
Bob Hallissy. <http://scripts.sil.org/FontUtils>.

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.